> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dexxify.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Add bank account



## OpenAPI

````yaml /openapi.json post /api/v1/misc/banks
openapi: 3.0.0
info:
  title: Dexxify API
  description: >-
    Crypto Infrastructure API for Africa (Wallets, Payouts, Offramp, Onramp,
    KYC, KYB)
  version: '1.0'
  contact:
    name: Dexxify
    url: https://www.dexxify.com
    email: dexxifyhq@gmail.com
servers: []
security: []
tags: []
paths:
  /api/v1/misc/banks:
    post:
      tags:
        - Misc - Banks & Assets
      summary: Add bank account
      operationId: MiscController_addBank
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AddBankDto'
      responses:
        '201':
          description: Bank account added successfully.
        '401':
          description: Missing, invalid, or expired authentication.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponseDto'
        '409':
          description: The resource already exists or is in a conflicting state.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponseDto'
components:
  schemas:
    AddBankDto:
      type: object
      properties:
        accountNumber:
          type: string
          description: Bank account number
          example: '8065924354'
        bankCode:
          type: string
          description: Bank code (e.g. 305 for OPay)
          example: '305'
        label:
          type: string
          description: Friendly label
          example: My OpayBank
        isDefault:
          type: boolean
          description: Default account recipient
          example: false
      required:
        - accountNumber
        - bankCode
        - isDefault
    ErrorResponseDto:
      type: object
      properties:
        success:
          type: boolean
          example: false
        status:
          type: number
          example: 400
        message:
          type: string
          example: Validation failed.
        errors:
          type: object
          example:
            - amount must not be less than 0
        timestamp:
          type: string
          example: '2026-09-17T12:00:00.000Z'
      required:
        - success
        - status
        - message
        - timestamp

````